#
# spec file for package ghc-http-types
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name http-types

%bcond_with tests


Name:           ghc-http-types
Version:        0.9.1
Release:        1.2
Summary:        Generic HTTP types for Haskell (for both client and server code)
License:        BSD-3-Clause
Group:          System/Libraries
Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-text-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-quickcheck-instances-devel
%endif
# End cabal-rpm deps

%description
Generic HTTP types for Haskell. (for both client and server code).


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%if %{with tests}
%cabal test
%endif

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README

%changelog
* Sun Jun  5 2016 mimi.vx@gmail.com
- update to 0.9.1
- remove useless _service
  * New function: parseByteRanges.
  * Support for HTTP status 422 "Unprocessable Entity" (RFC 4918).
* Wed Dec 30 2015 mimi.vx@gmail.com
- update to 0.9
* Tue Apr 21 2015 mimi.vx@gmail.com
- version bump to 0.8.6
  * no upstream changelog
* Sun Feb  1 2015 mimi.vx@gmail.com
- version bump to 0.8.5
    + should not link to aws
    + Allow array 0.5
    + remove upper boundary on text, may text simply never break anything
    + Derive some typeclasses for ByteRange
    + Allow case-insensitive 1.2
    + Add additional HTTP status codes as per RFC 6585 (close #45)
    + Add Network.HTTP.Types.URI.extractPath …
    + Add support for HTTPS URLs to extractPath
    + Add documentation and tests for extractPath
    + Add doctest driver
    + extractPath from Network.HTTP.Types
    + Added urlEncode docs
* Mon Oct  7 2013 sbahling@suse.com
- Initial package - version 0.8.1
